MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023633Open CASCADE[OCCT] OCCT:DRAWpublic2012-12-12 17:572015-11-16 10:21
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0023633: vdrawtext command modifies the default text parameters
Descriptionvdrawtext command modifies the default text parameters.
This happens because MyTextClass::Compute() in ViewerTest_ObjectCommands.cxx does not create a new instance of Prs3d_TextAspect but rather modifies the default (global) one returned by myDrawer->TextAspect() call.

The side-effect is changed color of all text labels displayed in the test 3d view after vdrawtext command has been executed, e.g. the trihedron labels.
Steps To Reproducepload ALL
vinit
vdrawtext AAA 0 0 0 0 255 255 0 0 0 0 30 0
vtrihedron t
# Enjoy the cyan color of trihedron labels instead of the default yellow

TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0047979)
kgv (developer)
2015-11-10 11:00

Dear bugmaster,

please close this issue - the problem has been fixed in scope of #0022785.
Test case is not needed.

- Issue History
Date Modified Username Field Change
2012-12-12 17:57 san New Issue
2012-12-12 17:57 san Assigned To => mkv
2012-12-12 17:57 san Relationship added related to 0022785
2012-12-19 14:01 san Assigned To mkv => aba
2012-12-19 14:01 san Status new => assigned
2015-11-10 11:00 kgv Note Added: 0047979
2015-11-10 11:00 kgv Assigned To aba => bugmaster
2015-11-10 11:00 kgv Status assigned => feedback
2015-11-10 11:00 kgv Resolution open => fixed
2015-11-10 11:00 kgv Fixed in Version => 6.9.0
2015-11-10 11:00 kgv Target Version => 6.9.0
2015-11-10 11:06 bugmaster Status feedback => tested
2015-11-10 11:06 bugmaster Test case number => Not required
2015-11-10 11:07 bugmaster Status tested => verified
2015-11-16 10:21 bugmaster Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker